Bug 24274 - New installations should not contain field 01e Coded field error (RLIN)
Summary: New installations should not contain field 01e Coded field error (RLIN)
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-19 10:35 UTC by Marcel de Rooy
Modified: 2020-01-13 23:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24274: Remove field 01e from sql installer files (19.31 KB, patch)
2019-12-19 10:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24274: Remove field 01e from sql installer files (19.47 KB, patch)
2019-12-19 10:56 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24274: Remove field 01e from sql installer files (19.43 KB, patch)
2019-12-19 12:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24274: Remove field 01e from sql installer files (20.78 KB, patch)
2019-12-22 12:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2019-12-19 10:35:58 UTC
Field 01e comes from the RLIN utility. It is not a standard MARC21 field.
Previously, it triggered the warning (in addbiblio.pl)
  Argument "01e" isn't numeric in numeric ne (!=)
This warning was addressed on bug 21172.
It is the only non-numeric field tag in Koha; and it does not belong there. We should remove it.

This report only deals with new installations. So it fixes the SQL installer files. It does NOT include a database revision for existing installations. You never know if someone used the field somehow ;)

See also (question of Magnus in 2009! goto 09:55 hours):
http://irc.koha-community.org/koha/2009-06-18
Comment 1 Marcel de Rooy 2019-12-19 10:39:25 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2019-12-19 10:56:04 UTC
Created attachment 96481 [details] [review]
Bug 24274: Remove field 01e from sql installer files

Field 01e comes from an older utility (RLIN) and does not belong here.
Note: It is the only non-numeric field tag in Koha. And it seems to be
an violation of the MARC standard.

Test plan:
Run a new install and check the bibliographic frameworks.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Tomás Cohen Arazi 2019-12-19 12:46:56 UTC
Created attachment 96483 [details] [review]
Bug 24274: Remove field 01e from sql installer files

Field 01e comes from an older utility (RLIN) and does not belong here.
Note: It is the only non-numeric field tag in Koha. And it seems to be
an violation of the MARC standard.

Test plan:
Run a new install and check the bibliographic frameworks.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Katrin Fischer 2019-12-22 12:06:27 UTC
Created attachment 96568 [details] [review]
Bug 24274: Remove field 01e from sql installer files

Field 01e comes from an older utility (RLIN) and does not belong here.
Note: It is the only non-numeric field tag in Koha. And it seems to be
an violation of the MARC standard.

Test plan:
Run a new install and check the bibliographic frameworks.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-12-23 12:09:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-12 19:04:12 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 7 Lucas Gass 2020-01-13 23:16:28 UTC
backported to 19.05.x for 19.05.07